/******************************************************************************
// INTEL CONFIDENTIAL
// Copyright 2000 ~ 2006 Intel Corporation All Rights Reserved. 
// The source code contained or described herein and all documents related to 
// the source code (Material) are owned by Intel Corporation or its 
// suppliers or licensors. Title to the Material remains with Intel Corporation
// or its suppliers and licensors. The Material contains trade secrets and 
// proprietary and confidential information of Intel or its suppliers and 
// licensors. The Material is protected by worldwide copyright and trade secret 
// laws and treaty provisions. No part of the Material may be used, copied, 
// reproduced, modified, published, uploaded, posted, transmitted, distributed, 
// or disclosed in any way without Intels prior express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual 
// property right is granted to or conferred upon you by disclosure or delivery 
// of the Materials, either expressly, by implication, inducement, estoppel or 
// otherwise. Any license under such intellectual property rights must be 
// express and approved by Intel in writing.
******************************************************************************/
#include "stdafx.h"
extern "C" {
int main(int argc, char **argv);
};

int WINAPI WinMain(	HINSTANCE hInstance,
					HINSTANCE hPrevInstance,
					LPTSTR    lpCmdLine,
					int       nCmdShow)
{	
	int argc = 17;
	int ret;	
	char *cmdLine[] = {"", "test23.wav", "test23.sbc", "-c", "3", "-q", "2",
		"-f", "44100", "-b", "16", "-s", "8", "-a", "0", "-p", "35"};

	/* 
	 test23.wav		// input WAV file name
	 test23.sbc		// output SBC file name
	 -c <0|3>	    // [channels] 0: mono; 3: joint_stereo			
	 -q <1|2>		// [quality] 1: middle quality; 2: high quality	
	 -f <48000|44100|32000|16000> // sampling rate
	 -b <4|8|12|16> // [blocks] 
	 -s <4|8>		// [subbands]
	 -a <0|1>		// [bit allocation method] 0: LOUDNESS 1:SNR
	 -p				// bitpool value
	*/

	ret = main(argc, cmdLine);
	
	return ret;
}