/******************************************************************************
// INTEL CONFIDENTIAL
// Copyright 2000 ~ 2006 Intel Corporation All Rights Reserved. 
// The source code contained or described herein and all documents related to 
// the source code (Material) are owned by Intel Corporation or its 
// suppliers or licensors. Title to the Material remains with Intel Corporation
// or its suppliers and licensors. The Material contains trade secrets and 
// proprietary and confidential information of Intel or its suppliers and 
// licensors. The Material is protected by worldwide copyright and trade secret 
// laws and treaty provisions. No part of the Material may be used, copied, 
// reproduced, modified, published, uploaded, posted, transmitted, distributed, 
// or disclosed in any way without Intels prior express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual 
// property right is granted to or conferred upon you by disclosure or delivery 
// of the Materials, either expressly, by implication, inducement, estoppel or 
// otherwise. Any license under such intellectual property rights must be 
// express and approved by Intel in writing.
******************************************************************************/
// appG729.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>

extern "C" {
int main(int argc, char **argv);
FILE *mfp; /* message file pointer */
};

int _tmain(int argc, _TCHAR* argv[])
{
	argc = 11;
	
	/* it is an output message file containing codec running information*/
	mfp = fopen("message.txt","w");

	char *cmdLine[] = {"", "-i", "tstseq1.bin", "-b", "_tstseq1a.bit", "-o", "_tstseq1a.out", "-c", "both", "-m", "G729A"};
	main(argc, cmdLine);
	/*
	char *cmdLine0[] = {"", "-i", "algthm.in", "-b", "_algthm.bit", "-o", "_algthm.pst", "-c", "both", "-m", "G729"};
	char *cmdLine1[] = {"", "-i", "ERASURE.in", "-b", "ERASURE.bit", "-o", "_ERASURE.pst", "-c", "decode", "-m", "G729"};
	char *cmdLine2[] = {"", "-i", "FIXED.in", "-b", "_FIXED.bit", "-o", "_FIXED.pst", "-c", "both", "-m", "G729"};
	char *cmdLine3[] = {"", "-i", "LSP.in", "-b", "_LSP.bit", "-o", "_LSP.pst", "-c", "both", "-m", "G729"};
	char *cmdLine4[] = {"", "-i", "OVERFLOW.in", "-b", "OVERFLOW.bit", "-o", "_OVERFLOW.pst", "-c", "decode", "-m", "G729"};
	char *cmdLine5[] = {"", "-i", "PARITY.in", "-b", "PARITY.bit", "-o", "_PARITY.pst", "-c", "decode", "-m", "G729"};
	char *cmdLine6[] = {"", "-i", "PITCH.in", "-b", "_PITCH.bit", "-o", "_PITCH.pst", "-c", "both", "-m", "G729"};
	char *cmdLine7[] = {"", "-i", "TAME.in", "-b", "_TAME.bit", "-o", "_TAME.pst", "-c", "both", "-m", "G729"};
	char *cmdLine8[] = {"", "-i", "SPEECH.in", "-b", "_SPEECH.bit", "-o", "_SPEECH.pst", "-c", "both", "-m", "G729"};
	
	
	char *cmdLine0[] = {"", "-i", "algthm.in", "-b", "_algthm.bit", "-o", "_algthm.pst", "-c", "both", "-m", "G729A"};
	char *cmdLine1[] = {"", "-i", "ERASURE.in", "-b", "ERASURE.bit", "-o", "_ERASURE.pst", "-c", "decode", "-m", "G729A"};
	char *cmdLine2[] = {"", "-i", "FIXED.in", "-b", "_FIXED.bit", "-o", "_FIXED.pst", "-c", "both", "-m", "G729A"};
	char *cmdLine3[] = {"", "-i", "LSP.in", "-b", "_LSP.bit", "-o", "_LSP.pst", "-c", "both", "-m", "G729A"};
	char *cmdLine4[] = {"", "-i", "OVERFLOW.in", "-b", "OVERFLOW.bit", "-o", "_OVERFLOW.pst", "-c", "decode", "-m", "G729A"};
	char *cmdLine5[] = {"", "-i", "PARITY.in", "-b", "PARITY.bit", "-o", "_PARITY.pst", "-c", "decode", "-m", "G729A"};
	char *cmdLine6[] = {"", "-i", "PITCH.in", "-b", "_PITCH.bit", "-o", "_PITCH.pst", "-c", "both", "-m", "G729A"};
	char *cmdLine7[] = {"", "-i", "TAME.in", "-b", "_TAME.bit", "-o", "_TAME.pst", "-c", "both", "-m", "G729A"};
	char *cmdLine8[] = {"", "-i", "SPEECH.in", "-b", "_SPEECH.bit", "-o", "_SPEECH.pst", "-c", "both", "-m", "G729A"};
	
	for(i = 0; i < 3; i++) { 
	main(argc, cmdLine0);
	main(argc, cmdLine1);
	main(argc, cmdLine2);
	main(argc, cmdLine3);
	main(argc, cmdLine4);
	main(argc, cmdLine5);
	main(argc, cmdLine6);
	main(argc, cmdLine7);
	main(argc, cmdLine8);
	}

	char *cmdLine0[] = {"", "-i", "tstseq1.bin", "-b", "_tstseq1a.bit", "-o", "_tstseq1a.out", "-c", "both", "-m", "G729AB"};
	char *cmdLine1[] = {"", "-i", "tstseq2.bin", "-b", "_tstseq2a.bit", "-o", "_tstseq2a.out", "-c", "both", "-m", "G729AB"};
	char *cmdLine2[] = {"", "-i", "tstseq3.bin", "-b", "_tstseq3a.bit", "-o", "_tstseq3a.out", "-c", "both", "-m", "G729AB"};
	char *cmdLine3[] = {"", "-i", "tstseq4.bin", "-b", "_tstseq4a.bit", "-o", "_tstseq4a.out", "-c", "both", "-m", "G729AB"};
	char *cmdLine4[] = {"", "-i", "tstseq5.bin", "-b", "tstseq5.bit", "-o", "_tstseq5a.out", "-c", "decode", "-m", "G729AB"};
	char *cmdLine5[] = {"", "-i", "tstseq6.bin", "-b", "tstseq6.bit", "-o", "_tstseq6a.out", "-c", "decode", "-m", "G729AB"};
	main(argc, cmdLine0);
	main(argc, cmdLine1);
	main(argc, cmdLine2);
	main(argc, cmdLine3);
	main(argc, cmdLine4);
	main(argc, cmdLine5);
*/
	fclose(mfp);
	printf("finish!");
	return 0;
}

